=== debian/changelog ===
tigr-glimmer (3.02-3) unstable; urgency=low

  * debian/upstream: publication information
  * debian/source/format: 3.0 (quilt)
  * debian/control:
     - updated homepage URL
     - cme fix dpkg-control
     - canonical Vcs URLs
     - dropped cdbs + quilt from Build-Depends
  * debian/README.source: deleted because redundant
  * debian/rules: switch from cdbs to dh
  * Hardening by droping Makefile patch in favour of providing
    options directly inside debian/rules
  * debian/copyright: DEP5
  * Verified current build log and noticed that -L/usr/lib is not used
    Closes: #722845

 -- Andreas Tille <tille@debian.org>  Tue, 05 Nov 2013 10:33:48 +0100

tigr-glimmer (3.02-2) unstable; urgency=low

  * debian/control:
    - Fixed Vcs-Svn (missing svn/)
    - Updated Standards-Version to 3.8.1 (no changes needed)
    - Standards-Version: 3.8.3 (no changes needed)
    - debhelper (>= 7)
  * Fixed E-Mail address of upstream author in debian/copyright
  * Fix FTBFS on amd64
    Closes: #560442
  * Added README.source

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jan 2010 22:52:45 +0100

tigr-glimmer (3.02-1) unstable; urgency=low

  [ Charles Plessy ]
  * debian/watch:
    - Replaced by the new one written by Nelson (Closes: #385258)

  [ Andreas Tille ]
  *  New upstream version
  * Group maintenance by Debian-Med team
    - DM-Upload-Allowed: Yes
    - Vcs tags
    - Use correct address as Uploader: Steffen Moeller <moeller@debian.org>
  * Standards-Version: 3.7.3 (no changes needed)
  * debhelper >= 5
  * Moved Homepage from long description to control fields
  * Removed [Biology] from short description

 -- Andreas Tille <tille@debian.org>  Tue, 22 Apr 2008 11:59:07 +0200

tigr-glimmer (2.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.3 compatibility, patch by Kumar Appaiah (Closes: #461691)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 20 Mar 2008 00:02:06 +0100

tigr-glimmer (2.13-1) unstable; urgency=low

  * New upstream release - no significant changes for Linux users.
  * Resolves conflict for "extract" binary and man page (Closes:Bug#227790,Bug#274780).

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Wed, 10 Nov 2004 11:58:46 +0100

tigr-glimmer (2.12-1) unstable; urgency=low

  * Initial Release (Closes:#219453).
  * Added man pages to upstream release

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Thu, 16 Oct 2003 17:33:46 +0200
