=== debian/control ===
Source: tigr-glimmer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               docbook-to-man
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/tigr-glimmer/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/tigr-glimmer/trunk/
Homepage: http://ccb.jhu.edu/software/glimmer/index.shtml

Package: tigr-glimmer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Gene detection in archea and bacteria
 Developed by the TIGR institute this software detects coding sequences in
 bacteria and archea.
 .
 Glimmer is a system for finding genes in microbial DNA, especially the
 genomes of bacteria and archaea. Glimmer (Gene Locator and Interpolated
 Markov Modeler) uses interpolated Markov models (IMMs) to identify the
 coding regions and distinguish them from noncoding DNA.
