=== debian/rules ===
#!/usr/bin/make -f

MANPAGES=debian/glimmer2_mans/tigr-anomaly.1 \
	 debian/glimmer2_mans/tigr-build-icm.1 \
	 debian/glimmer2_mans/tigr-extract.1 \
	 debian/glimmer2_mans/tigr-glimmer3.1 \
	 debian/glimmer2_mans/tigr-long-orfs.1 \
	 debian/glimmer2_mans/tigr-run-glimmer3.1

.SUFFIXES: .1 .sgml

.sgml.1:
	docbook-to-man $< > $@

%:
	dh $@

override_dh_clean:
	dh_clean $(MANPAGES)
	cd src; make clean
	rm -f bin/* lib/* obj/*

override_dh_auto_build: $(MANPAGES)
	# dh_auto_build
	cd src; make CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
