=== debian/watch ===
version=3
opts="dversionmangle=s/\.//" \
http://www.cbcb.umd.edu/software/glimmer/ glimmer(.*)\.tar.gz
