=== debian/changelog ===
tigr-glimmer (3.02b-6) unstable; urgency=medium

  * d/rules: prevent CXXDEFS from setting __cplusplus (Closes: #984367)
  * d/control: add myself to uploaders
  * d/watch: fall back to http protocol to repair scan
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Oct 2021 20:37:42 +0200

tigr-glimmer (3.02b-5) unstable; urgency=medium

  * Team upload.
  * Reinforce Makefile error checking and increase verbosity; initial version
    for 3.02b-4 missed at least one point at linking time.  Closes: #960294

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Wed, 13 May 2020 22:19:56 +0200

tigr-glimmer (3.02b-4) unstable; urgency=medium

  * Team upload.
  * Reinforce Makefiles error checking.  Closes: #960294

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Mon, 11 May 2020 20:55:39 +0200

tigr-glimmer (3.02b-3) unstable; urgency=medium

  [ Steffen Möller ]
  * Updated d/u/metadata

  [ Nilesh Patra ]
  * Add autopkgtests

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 2.13-1.
  * Refer to specific version of license GPL-2+.
  * Do not use docbook-to-man to create manpages
  * Rename debian/NEWS.Debian to NEWS

 -- Andreas Tille <tille@debian.org>  Wed, 29 Apr 2020 22:53:42 +0200

tigr-glimmer (3.02b-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use dh_auto_build. (Closes: #900114)

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sat, 26 May 2018 15:08:21 +0200

tigr-glimmer (3.02b-1) unstable; urgency=medium

  * New bugfix release
  * Fix watch file
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Tue, 13 Dec 2016 11:21:11 +0100

tigr-glimmer (3.02-5) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * hardening=+all
  * cme fix dpkg-control

  [ Canberk Koç ]
  * Autopkgtest added

 -- Canberk Koç <canberkkoc@gmail.com>  Fri, 12 Aug 2016 07:29:52 +0300

tigr-glimmer (3.02-4) unstable; urgency=medium

  * moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * Fix crashes reported by Mayhem
    Closes: #715701, #715702

 -- Andreas Tille <tille@debian.org>  Tue, 15 Dec 2015 10:17:14 +0100
