=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: tigr-glimmer
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               docbook-to-man
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/tigr-glimmer/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/tigr-glimmer/trunk/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/tigr-glimmer
+Vcs-Git: https://salsa.debian.org/med-team/tigr-glimmer.git
 Homepage: http://ccb.jhu.edu/software/glimmer/index.shtml
+Rules-Requires-Root: no
 
 Package: tigr-glimmer
 Architecture: any
