=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# override value set in src/c_make.gen leading to #984367
export CXXDEFS =

%:
	dh $@

override_dh_clean:
	dh_clean $(MANPAGES)
	cd src; make clean
	rm -f bin/* lib/* obj/*

override_dh_auto_build: $(MANPAGES)
	dh_auto_build --sourcedirectory=src -- CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
