=== debian/watch ===
version=4

opts="uversionmangle=s/(\d)/$1./" \
http://ccb.jhu.edu/software/glimmer/index.shtml glimmer([\da-z]+)\.tar.gz
# FIXME: uscan http address since https looks somewhat broken:
#        500 Can't connect to ccb.jhu.edu:443 (SSL connect attempt failed error:1414D172:SSL routines:tls12_check_peer_sigalg:wrong signature type
